---
lang: en
title: 'API docs: rest-crud.crudrestcontrollerctor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontrollerctor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestControllerCtor](./rest-crud.crudrestcontrollerctor.md)

## CrudRestControllerCtor interface

Constructor of the controller class returned by `defineCrudRestController`<!-- -->.

**Signature:**

```typescript
export interface CrudRestControllerCtor<T extends Entity, IdType, IdName extends keyof T, Relations extends object = {}> 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(new)(repository)](./rest-crud.crudrestcontrollerctor._new_.md)


</td><td>


</td></tr>
</tbody></table>


